package com.hzya.frame.seeyon.cap4.form.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;

/**
 * @Description 主表数据
 * @Author xiangerlin
 * @Date 2024/1/8 11:29
 **/

public class MasterTableDTO {
    @JSONField(ordinal = 1)
    private String name;//表名
    @JSONField(ordinal = 2)
    private RecordDTO record;//数据
    @JSONField(ordinal = 3)
    private List<String> changedFields;//需要计算的字段

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public RecordDTO getRecord() {
        return record;
    }

    public void setRecord(RecordDTO record) {
        this.record = record;
    }

    public List<String> getChangedFields() {
        return changedFields;
    }

    public void setChangedFields(List<String> changedFields) {
        this.changedFields = changedFields;
    }
}
